\label{chap:model}

This chapter introduces the general modeling framework within which membrane-me\-di\-ated particle interactions are approached in the subsequent chapters.
The first part introduces the Canham--Helfrich elastic model for lipid membranes and proceeds with simplification techniques for the resulting energy by parameterization over specific reference domains and by geometric linearization.
The second part discusses the concept of constraint-based membrane--particle couplings on the basis of so-called curve and point value constraints.
%In that context also
The concept of parameter-dependent particle configurations and constraints is also established.
The chapter ends with the definition of the interaction potential and the statement of the stationary particle configuration problem.
%\TK[Note: While later numerics will only use linear formulations, we may also consider non-linear energies here.]{}


%~ As mentioned before, the lipid membrane is described as a single continuous surface, whereas non-membrane particles interacting with the membrane are treated as discrete entities.
%~ This leads to so-called continuum-discrete hybrid models.
%~ The interaction of particles with the membrane is modeled by position-dependent constraints which locally prescribe the membrane's shape along the membrane--particle interface and which therefore restrict the set of admissible membranes.
%~ In this setting, stationary membrane shapes for a given particle configuration are determined by local minimizers of an elastic Canham--Helfrich type bending energy subject to the respective constraints.
%~ The interaction potential of a specific particle configuration is later defined to be the global minimal energy subject to these constraints.
%~ As a result, stationary particle configurations are again characterized by local minimizers of the interaction potential.
%~ In this way, there is a rich interplay between membrane and particles where the particle configurations drive the shaping of the membrane, and where the shape of the membrane influences the particles' positioning.




\begin{comment}
The lipid membrane is described as a single continuous surface whose stationary shapes are characterized by the minimizers of an elastic Canham--Helfrich type bending potential.
In contrast, non-membrane particles that interact with the membrane are treated as discrete entities.
This leads to so-called \emph{continuum-discrete hybrid models}.
The effect of a particle on the membrane is described by position-dependent constraints that prescribe the shape or other local membrane properties along the membrane--particle interface.
Given fixed particle positions, the stationary shape of the membrane is therefore obtained by minimization of the bending energy subject to those constraints.
\TK[Let's see how much of this ends up in the introduction before we elaborate too much]{This allows us to define the interaction energy, which expresses this exciting and rich interplay between particles and membranes. This is what we mean by membrane-mediated particle interactions (and it may of course be augmented by direct particle-particle interactions.}

\TK{[Here we could say something more about the details of how this chapter is organized. Or anything else that we feel is necessary to tell the reader about the modeling.}
\end{comment}


\incsection[model/elasticenergy]{Elastic Canham--Helfrich type membrane bending energy}
\incsection[model/constraints]{Constraint-based membrane--particle coupling}
\incsection[model/interaction]{Overall model and the interaction potential}
%~ \incsection[model/interaction]{Interaction potential and stationary particle configurations}
%~ \incsection[model/examples]{Example models}


